实验器材下载常见问题分析纪要

更新记录

版本 日期 修改人 修改内容
1.0.0 2020年7月17日 蔺浪(510525) 新建文档
1.0.1 2020年8月20日 蔺浪(510525) 新增无语言包说明

为什么刚刚下载的器材其状态还是“需要更新”?

  • 该问题通常表现为应用端加载实验颗粒后(按照逻辑已经下载了最新的器材),器材图标还是显示“需要更新”状态,如下图所示(图示旨在举例说明逻辑,因平台上资源更新变动,该例子可能不复见):
    器材更新状态图示

1. 管理平台上没有其依赖版本的资源

  • 器材配置了某个版本的依赖资源,但管理平台上没有对应版本的资源可供下载(如下图所示,图示旨在举例说明逻辑,因平台上资源更新变动,该例子可能不复见),检测器材资源状态时,逻辑判定“需要更新”资源才能满足器材的依赖配置要求;此属资源问题,联系器材生产同学。
    器材无依赖版本资源图示

2. 管理平台上没有其依赖版本的语言包

  • 解决方案协定:指定版本的器材,在管理平台上需要有对应版本的语言包且该语言包状态为“已发布”,则该器材才能下载到多语言包;反之则下载不到语言包;检测器材资源状态时,逻辑判定“需要更新”资源才能满足器材的依赖配置要求;此属资源问题,联系器材生产同学;
  • 如下图所示则该版本器材下载不到语言包(图示旨在举例说明逻辑,因平台上资源更新变动,该例子可能不复见)。
    器材无在线资源包图示

3.管理平台上没有其依赖组件/器材/药品对应版本的语言包

  • 器材配置了某个版本的依赖组件/器材/药品,但管理平台上没有这些组件/器材/药品对应版本的语言包可供下载(如下图所示,图示旨在举例说明逻辑,因平台上资源更新变动,该例子可能不复见),检测器材资源状态时,逻辑判定“需要更新”资源才能满足器材的依赖配置要求;此属资源问题,联系器材生产同学。

  • 若同时出现多个器材都处于“需要更新”状态,那最大的可能性是管理平台上“VLabCommonLua”或者“VLabElementBase”没有对应版本的语言包。

干系人清单

组件 描述 负责人 干系人
国际化解决方案 协定国际化解决方案 黄金民 黄金民 蔺浪 刘剑
ResourceCenter 资源中心组件,资源请求与下载 蔺浪(510525) 蔺浪 黄金民 杨循 刘剑
EquipmentPKG 器材资源包生产 徐强(790805) 唐绍军(635438) 朱毅博(258654)
EquipmentTranslate 器材语言包翻译 徐强(790805) 唐绍军(635438) 朱毅博(258654)

相关链接